package entrustPool

import (
	"github.com/gin-gonic/gin"
	"courseSign/server/api/v1"
	"courseSign/server/middleware"
)

type PoolAddrTxsRouter struct {
}

// InitPoolAddrTxsRouter 初始化 PoolAddrTxs 路由信息
func (s *PoolAddrTxsRouter) InitPoolAddrTxsRouter(Router *gin.RouterGroup) {
	poolAddrTxsRouter := Router.Group("poolAddrTxs").Use(middleware.OperationRecord())
	poolAddrTxsRouterWithoutRecord := Router.Group("poolAddrTxs")
	var poolAddrTxsApi = v1.ApiGroupApp.EntrustPoolApiGroup.PoolAddrTxsApi
	{
		poolAddrTxsRouter.POST("createPoolAddrTxs", poolAddrTxsApi.CreatePoolAddrTxs)   // 新建PoolAddrTxs
		poolAddrTxsRouter.DELETE("deletePoolAddrTxs", poolAddrTxsApi.DeletePoolAddrTxs) // 删除PoolAddrTxs
		poolAddrTxsRouter.DELETE("deletePoolAddrTxsByIds", poolAddrTxsApi.DeletePoolAddrTxsByIds) // 批量删除PoolAddrTxs
		poolAddrTxsRouter.PUT("updatePoolAddrTxs", poolAddrTxsApi.UpdatePoolAddrTxs)    // 更新PoolAddrTxs
	}
	{
		poolAddrTxsRouterWithoutRecord.GET("findPoolAddrTxs", poolAddrTxsApi.FindPoolAddrTxs)        // 根据ID获取PoolAddrTxs
		poolAddrTxsRouterWithoutRecord.GET("getPoolAddrTxsList", poolAddrTxsApi.GetPoolAddrTxsList2)  // 获取PoolAddrTxs列表
	}
}

// InitPoolAddrTxsPubRouter 初始化 PoolAddrTxs 路由信息
func (s *PoolAddrTxsRouter) InitPoolAddrTxsPubRouter(Router *gin.RouterGroup) {
	poolAddrTxsRouterWithoutRecord := Router.Group("poolTxsWeb")
	var poolAddrTxsApi = v1.ApiGroupApp.EntrustPoolApiGroup.PoolAddrTxsApi

	{
		poolAddrTxsRouterWithoutRecord.GET("findPoolAddrTxs", poolAddrTxsApi.FindPoolAddrTxs)        // 根据ID获取PoolAddrTxs
		poolAddrTxsRouterWithoutRecord.GET("getPoolAddrTxsList", poolAddrTxsApi.GetPoolAddrTxsList)  // 获取PoolAddrTxs列表
	}
}